package com.jkcredit.invoice.controller.service;

import com.jkcredit.invoice.mapper.calculateInfor.MounthAccMapper;
import com.jkcredit.invoice.model.entity.customer.CustomerCarRec;
import com.jkcredit.invoice.model.entity.customer.CustomerRec;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBill;
import com.jkcredit.invoice.service.lowerService.CustomeLowerService;
import com.jkcredit.invoice.service.lowerService.NoCarService;
import com.jkcredit.invoice.service.lowerService.vo.HCInvoiceQueryVo;
import com.jkcredit.invoice.service.lowerService.vo.MonthAccountQueryVo;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "无车下游接口")
@RestController
@RequestMapping(value = {"/noCarService"})
public class NoCarServiceController {
    @Autowired
    private NoCarService noCarService;
    /**
     * @param
     * @return
     */
    @PostMapping("/noCarVoiceQuery")
    @ApiOperation(value="发票查询接口（走本地库）", notes="发票查询接口（走本地库）")
    //@LoginRequired
    public RespR noCarVoiceQuery(@RequestBody NoCarWayBill noCarWayBill){
        return noCarService.getInvoiceByWayBillNumReal(noCarWayBill,true);
    }

    /**
     * @param
     * @return
     */
    @PostMapping("/hCVoiceQuery")
    @ApiOperation(value="红冲发票查询接口", notes="红冲发票查询接口")
    //@LoginRequired
    public RespR hCVoiceQuery(@RequestBody HCInvoiceQueryVo hcInvoiceQueryVo){
        return noCarService.hCInvoiceQuery(hcInvoiceQueryVo);
    }

    /**
     * @param
     * @return
     */
    @PostMapping("/monthAccQuery")
    @ApiOperation(value="月账单交易查询", notes="月账单交易查询")
    //@LoginRequired
    public RespR monthAccQuery(@RequestBody MonthAccountQueryVo monthAccountQueryVo){
        return noCarService.monthAccQuery(monthAccountQueryVo);
    }
    @Autowired
    MounthAccMapper mounthAccMapper;
    /**
     * @param
     * @return
     */
    @PostMapping("/monthAccUpdate")
    @ApiOperation(value="月账单交易查询更新", notes="月账单交易查询更新")
    //@LoginRequired
    public RespR monthAccQueryUpdate(@RequestBody MonthAccountQueryVo monthAccountQueryVo){
        String [] companys = new String[]{"内蒙古书宏超网络科技有限公司邳州分公司",
                "山西云启正通物流有限责任公司",
                "吉安供应链管理淮安有限公司",
                "辽宁骐盛物流供应链管理有限公司芜湖分公司",
                "贵州汽喇叭物联科技有限公司",
                "贵州茂运供应链管理有限公司",
                "睿博龙（天津）智慧物联科技有限公司",
                "山西佳欣物联科技有限公司",
                "江苏万安物流有限公司",
                "贵州赣府物联科技有限公司",
                "榆林市渊茂物流科技有限公司",
                "贵州弘裕智慧物流有限公司",
                "辽宁四通物联网络科技有限公司",
                "江苏恒泰网络科技有限公司",
                "福建丰车物流有限公司",
                "山西润物供应链管理有限公司芜湖分公司",
                "中邦汇鑫（山东）物流信息有限公司",
                "萍乡青润运输有限公司",
                "贵州慧运宝网络科技有限公司",
                "荣程智运科技（天津）有限公司",
                "浙江佑运物流科技有限公司芜湖分公司",
                "七彩光环（山西）科技供应链有限公司",
                "广东洋浦实业有限公司",
                "聊城新世纪物流科技有限公司",
                "美途科技（韶关）有限公司天津分公司",
                "江苏万安物流有限公司舞阳分公司",
                "贵州鲲运智慧物流有限公司",
                "筋斗云（山西）智慧物联科技有限公司",
                "贵州成江海物联科技有限公司",
                "山西风行美亚智慧物联科技有限公司",
                "贵州运多多网络科技有限公司",
                "山东兰瑞网络科技有限责任公司",
                "贵州新收获网络科技有限公司",
                "丽江市古城区陆运帮供应链有限公司",
                "江苏国镖信息科技有限公司芜湖分公司",
                "山西晋通公铁联运科技有限公司",
                "物链万家（山西）科技有限公司",
                "山西星图智科供应链管理有限公司",
                "宁夏盈度互联网科技有限公司",
                "江西靛蓝互联网科技有限公司",
                "山西新成功物联科技有限公司",
                "贵州浩鑫供应链管理有限公司",
                "新疆州驰信息科技有限公司",
                "宁夏冉嘉荣供应链管理有限公司",
                "河南牛车科技有限责任公司",
                "聊城新世纪物流科技有限公司青岛分公司",
                "贵州知象网络科技有限公司",
                "贵州梵润物联科技有限公司",
                "贵州宇雷供应链管理有限公司",
                "江西海帮供应链管理有限公司",
                "贵州油满满科技有限公司",
                "襄阳厚载科技有限公司",
                "湖南花农网信息科技有限公司",
                "济源市中浩供应链管理有限公司",
                "新疆州驰信息科技有限公司芜湖分公司",
                "贵州峰运供应链科技有限公司",
                "智享快运（山西）供应链管理有限公司",
                "甘肃蜀西蓉创科技有限公司",
                "甘肃物云集物流科技有限公司",
                "山西金牛物联科技有限公司",
                "武汉吉运物流有限公司",
                "山西大快田园物联科技有限公司",
                "河北晟洲物流有限公司",
                "辽宁骐盛物流供应链管理有限公司营口分公司",
                "山东村鸟网络科技有限公司",
                "江苏国镖信息科技有限公司盐城分公司",
                "安徽星微网络科技有限公司",
                "贵州东和物流有限公司",
                "辽宁四通物联网络科技有限公司海城分公司",
                "乌海市中海物流有限责任公司湾沚分公司",
                "贵州东轩供应链管理有限公司",
                "贵州慧天物流科技有限公司",
                "山西云车智慧物联科技有限公司",
                "贵州福赛特智慧物联有限公司",
                "湖北易得物流有限公司",
                "河南易卡运智博物流有限公司",
                "营口丰巢物流科技有限公司湾沚分公司",
                "营口丰巢物流科技有限公司(辽宁)自贸区分公司",
                "山西安通速达智慧物联科技有限公司",
                "内蒙古书宏超网络科技有限公司",
                "江苏万安物流有限公司靖江分公司",
                "绥德县骏华科技有限公司",
                "辽宁四通物联网络科技有限公司芜湖分公司",
                "四川世纪兆通物流有限公司",
                "山西盛泽物联科技有限公司",
                "贵州一飞网络科技有限公司",
                "山西货满赢供应链管理有限公司",
                "辽宁四通物联网络科技有限公司邳州分公司",
                "重庆车犇网络科技有限公司",
                "江西怡达供应链管理有限公司",
                "榆林市利升物流有限公司",
                "辽宁骐盛物流供应链管理有限公司湾沚分公司",
                "山西缆库智慧物联科技有限公司",
                "贵州凡网物联科技有限公司",
                "山西直拼物联科技有限公司",
                "贵州来拉货科技有限公司",
                "山西中弘智运科技有限公司",
                "山西优途科技有限公司",
                "新疆州驰信息科技有限公司邳州分公司",
                "辽宁骐盛物流供应链管理有限公司邳州分公司",
                "中建运联（山西）供应链有限公司",
                "贵州胜鑫良晨网络科技有限公司",
                "贵州中众衡智企通物联科技有限公司",
                "贵州运万佳物流科技有限公司",
                "湖南花农网信息科技有限公司湘潭分公司",
                "山西云启正通物流有限责任公司宿州分公司",
                "江西弘道网络科技有限公司",
                "淮安市昆交汽车运输有限公司",
                "贵州梵运网络科技有限公司",
                "中轩物联有限公司",
                "新承运（平潭）物流科技有限公司福清分公司",
                "山西立德源科技有限公司",
                "贵州联玺汇网络科技有限公司",
                "金昌顺通智慧物流有限公司",
                "山西丝路物联科技有限公司",
                "河北晟洲物流有限公司芜湖分公司",
                "辽宁四通物联网络科技有限公司湾沚分公司",
                "浙江佑运物流科技有限公司",
                "贵州久江供应链管理有限公司",
                "宿迁京东通联物流有限公司",
                "营口丰巢物流科技有限公司邳州分公司",
                "贵州梵行智慧物联有限公司",
                "绥德县骏华科技有限公司芜湖分公司",
                "山西裕兴华物流科技有限公司",
                "山西麓湘网络科技有限公司",
                "聊城新世纪物流科技有限公司德州分公司",
                "贵州佳源网络货运有限公司",
                "长沙争渡网络科技有限公司",
                "山西全都通科技有限公司",
                "甘肃陆港通物流科技有限公司",
                "甘肃恒浦供应链有限责任公司",
                "贵州六运大通供应链管理有限公司",
                "湖北小象物流服务有限公司",
                "贵州缆库智慧物流有限公司"
        };
        mounthAccMapper.deleteAll();
        for(int i=0;i<companys.length;i++){
            monthAccountQueryVo.setCompanyName(companys[i]);
            noCarService.monthAccQueryUpdate(monthAccountQueryVo);

        }
        return new RespR(true);
    }
    /**
     * @param customerCarRecs
     * @return
     */
    @PostMapping("/customerCarRec")
    @ApiOperation(value="", notes="车辆备案")
    //@LoginRequired
    public RespR customerCarRec(@RequestBody List<CustomerCarRec> customerCarRecs){
        return noCarService.customerCarRec(customerCarRecs);
    }
    /**
     * @param customerCarRec
     * @return
     */
    @PostMapping("/customeRecUpperQuery")
    @ApiOperation(value="车辆备案信息查询", notes="用户备案信息查询")
    //@LoginRequired
    public RespR customeRecUpperQuery(@RequestBody CustomerCarRec customerCarRec){
        return noCarService.customerCarRecQueryUpper(customerCarRec);
    }



    /**
     * @param customerCarRec
     * @return
     */
    @PostMapping("/customerCarRecQuery")
    @ApiOperation(value="", notes="车辆备案查询")
    // @LoginRequired
    public RespR customerCarRecQuery(@RequestBody CustomerCarRec customerCarRec){
        return noCarService.customerCarRecQuery(customerCarRec);
    }
}
